Subject: [bug#44806] [PATCH staging 5/6] gnu: Add pitivi.

From: Leo Famulari <[email-masked]>
Date: Tue, 15 Dec 2020 16:31:44 -0500

On Tue, Dec 15, 2020 at 08:55:17AM +0100, Leo Prikler wrote:
> Am Dienstag, den 15.12.2020, 02:25 -0500 schrieb Leo Famulari:
> > Do we do this to save space? Or to avoid the rest of the bad plugins?
> Both would be valid reasons to do this imo.  Adding more bad plugins is
> likely also not going to increase the number of features Pitivi offers.

This is a good idea for the "bad" plugins, because they are rarely used
in Guix, so there is less chance of unecessary duplication compared to
the other collections of GStreamer plugins.

Still, it increases complexity, and it sholud be "worth it" in some
sense. If gst-plugins/selection becomes popular, it may be that the
increase in package objects outweighs the disk space savings — the
package graph may grow so large that it slows Guix package operations
down too much. The disk space savings may be obviated in that case,
anyways.

If you choose to apply for commit access, as I suggested, you will be
able to use your judgement here :)